<template>
    <v-flex xs11 sm5>
        <!--<v-time-picker landscape full-width v-model="value" format="24hr" color="primary" header-color="primary"></v-time-picker>-->

        <v-dialog
                ref="dialog"
                v-model="modal"
                :return-value.sync="value"
                lazy
                full-width
                width="300"

        >
            <v-text-field
                    slot="activator"
                    v-model="value"
                    :label="schema.label"
                    prepend-icon="access_time"
                    readonly
            ></v-text-field>
            <v-time-picker
                    full-width
                    format="24hr" color="primary" header-color="primary"
                    v-if="modal"
                    v-model="value"
            >
                <v-spacer></v-spacer>
                <v-btn flat color="primary" @click="modal = false">Cancel</v-btn>
                <v-btn flat color="primary" @click="$refs.dialog.save(value)">OK</v-btn>
            </v-time-picker>
        </v-dialog>
    </v-flex>
</template>
​
<script>
    import {abstractField} from "vue-form-generator";

    export default {
        mixins: [abstractField],
        data: () => ({
            modal: false
        }),
        computed: {},

        watch: {},
        methods: {}
    };
</script>

<style scoped>
</style>